Subject: Re: [PATCH] gitk: Update German translation

From: "Stephan Beyer" <[email-masked]>
Date: Sat, 03 May 2008 03:24:19 +0200

Hi,

> That glossary and the git-gui translation was created by myself as well.

And you did a great job doing it. ;)

> Hence, translations for terms like "commit" have indeed been discussed
> quite a bit,

It's ok then. I didn't know that there was big discussion about that. 
Thanks for the links.

> > >  msgid "Reading commits..."
> > >  msgstr "Versionen lesen..."
> >
> > Is "Version" really the German translation for "commit" throughout the
> > whole git suite?
> > (Ehh, is git translated at all?)
> > I'd recommend "Commit" or "Eintragung"...
> 
> "Version" is what came out as most convincing from last September's 
> discussion. "Commit" is only for those who want the English version
> anyway, hence that's not the target audience of this translation.

I understand the point for using "Version" as the German translation for
the noun "commit" (seems to be the best choice), but I think I have a 
different view on the target audience of the translation. :-)

I think, most of the users of a translated git-gui or gitk are not people
who do not understand an English word at all. I think, they just like to
act in a localized environment.
But SCM tool users of any nationality usually know what a "commit" is,
so I see nothing bad in using "Commit" in the German translation.
And the German word "Version" is a broader term that can lead to some
misunderstanding; the English word "commit" used in German sentences
is a clear technical term for SCM tool users.

It's the typical problem in German technical literature. There is the one
type where every technical term is translated to a German word in the hope
that it will be easier to understand but could also leave the reader in 
some confusion because she has another understanding of the known word.
And there is the other type, where technical terms are kept untranslated 
to let the readers easily understand original English literature 
but also resulting in a lot of "denglisch" sentences.
So a really good translation of technical literature and its technical 
terms is pretty hard.

The most German translations in the free software world are translated
using the first, the "translate every term" paradigm. So it seems good
to me that gitk/git-gui follows that way. Nevertheless, just because of 
this paradigm I switched back to the original/English versions. ;)

> > "nach vorne gehen" sounds so colloquial.
> > Better, perhaps: "weitergehen"?
> 
> Ok. "weitergehen" IMHO has a similar problem as the first/last issue - the
> user doesn't know which direction is meant.

Mh, I thought that "nach vorne" and "weiter" have the same meaning here.
But perhaps I'm wrong.

> But your proposal is better than the colloquial term.

I don't know if colloquial terms are really bad in software.
Perhaps it depends on the software. E.g. in games or fun tools it can be nice.

> > > -#: gitk:6081
> > > +#: gitk:6143
> > >  msgid "Error creating patch:"
> > >  msgstr "Fehler beim Patch erzeugen:"
> >
> > "Fehler bei der Erzeugung des Patches"
> 
> I agree the original string is sub-optimal, but "Erzeugung"? Also not a
> nice word. Anything better?

Sorry, I meant "Fehler beim Erzeugen des Patches"
as in
 > > >  msgid "Error writing commit:"
 > > >  msgstr "Fehler beim Version eintragen:"
 > > [...]
 > "Fehler beim Schreiben der Version" it is, thanks.
(which also could be "Fehler beim Eintragen der Version")

The reason for my correction is that "beim Version eintragen"
is wrong according to my last look at the German grammar rules,
but note that I'm not up-to-date ;-)
A correct choice could be something like "beim Versionseintragen" 
or "beim Version-Eintragen" (or Version-eintragen?) Not sure.
So I thought using the Genitive case is a good choice.

Btw, I'm convinced that every German will also understand your
original translation.

> > >  msgid "containing:"
> > >  msgstr "enthaltend:"
> >
> > "enthält:"
> 
> No. Please have a look at the place where this is used.

I did. But you are right that my proposal is wrong.

> In fact this word is used as the part of a full sentence 
> (which in itself is very bad i18n style, but that's another discussion),
> and the sentence reads "Suche nächste/vorige Version enthaltend:".

My mistake was that I began reading at "Version"... ;)

> The sentence is already quite "holprig"

The original
 "Find next/prev commit _containing:_ [insert]"
should be translated to
 "Suche nächste/vorige Version, die [insert] enthält."
But this is beyond the used techniques for software translation ;-)

Looking at the other two cases:
 "Find next/prev commit _touching paths:_ [insert]"
and
 "Find next/prev commit _adding/removing String:_ [insert]"
and looking what they are actually doing,
I come to another solution that should make it clear:
 1. "Suche nächste/vorige Version _nach Beschreibung:_ [insert]"
 2. "Suche nächste/vorige Version _nach Pfaden:_ [insert]"
    (or maybe "nach Dateien:", if it's commonly accepted that 
     directories are files, too.)
 3. "Suche nächste/vorige Version _nach Änderungen:_ [insert]"
(This is btw a very cool feature and a reason to use gitk more often.)

> > >  msgid "IgnCase"
> > >  msgstr "Kein Gro??/Klein"
> >
> > The translation is rather ambiguous. Or is it just me? ;)
> > "Ignoriere Groß-/Kleinschreibung"  or
> > "Groß-/Kleinschreibung ignorieren"
> 
> In principle yes, but again please have a look at where this string
> actually appears in the program. The multichoice box there really must
> not be very wide.

Ah ok. I got in a hurry when writing the last mail, but I wondered
why there's "IgnCase" and not "Ignore case".
Hmmm, so I'd possibly take "Groß/klein egal" which has the same length
as yours but yours is also good, since it's not ambiguous to me anymore,
because another choice of the multichoice box is "exakt" ;-)

> > >  msgid "Cherry-pick this commit"
> > >  msgstr "Diese Version pfl??cken"
> >
> > If I didn't knew that it means "cherry-pick", I'd have no idea
> > what the function behind that German words does. ;-)
> 
> No, you're missing the point again. If you didn't knew what "cherry-pick" 
> means, you would have no idea what the function behind it does.

Right, but if I know what "cherry-pick" means, I could still have no idea
what the function behind "Version pflücken" does.
A word-by-word translation like "Kirsche pflücken" would also result in a
grinning me (as a user), but I'd recognize it as the 'git-cherry-pick' 
that I know.

> In other words: Git invented a new word here anyway.

No, "cherry picking" is a commonly used term.

I wonder what a commonly used German phrase with a similar meaning is...
Something like "sich die Rosine(n) herauspicken"? (Is this a common phrase?)
But a translation to "Diese Rosine herauspicken" is also confusing.
("Warum ist dieser Commit eine Rosine? 
  Was passiert, wenn ich sie herauspicke?
  Ist er dann weg?")

> It *is* an argument if the actual action can be described in a better
> and more understandable way by a different German word, though.

Yes.
A user of the English version might also need to know what 
git-cherry-pick does before clicking on "Cherry-pick this commit".
Or does this come by intuition? 
(Hard to see for me, as I'm no native English speaker.)

> > "Diesen Commit übernehmen"
> > "Diesen Commit kopieren"
> > "Diese Eintragung übernehmen"
> 
> "Diese Version kopieren" would be one possibility - but this bears the 
> question why git itself doesn't call this action "to copy a commit".

To confuse the translation issue. ;-)

> "Version kopieren" rather sounds like the familiar "copy to clipboard"
> action in the Edit menu,

Good point.

Btw, 'man git-cherry-pick' says
        "Apply the change introduced by an existing commit".
So why not take this and use
 "Durch diese Version eingeführte Änderungen übernehmen" or
 "Durch diese Version eingeführte Änderungen anwenden"?

Regards,
  Stephan
-- 
GMX startet ShortView.de. Hier findest Du Leute mit Deinen Interessen!
Jetzt dabei sein: http://www.shortview.de/?mc=sv_ext_mf@gmx